wxWidgets: wxTaskBarJumpList Class Reference

| Version: 3.1.5

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxTaskBarJumpList Class Reference
Class List by Category » Miscellaneous

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.5-4.x86_64/src/wxWidgets-3.1.5/interface/wx/taskbarbutton.h>`

## Detailed Description

This class is a transparent wrapper around Windows Jump Lists.

Jump Lists, as a new feature since Windows 7, are lists of recently opened items, such as files, folders, or websites, which are organized by the program that the user use to open them. Jump Lists don't just show shortcuts to files. Sometimes they can also provide quick access to tasks. With this class, you can access the recent and frequent category in the jump lists. You can also set the tasks category of the Jump Lists of your application. What's more, you can add custom category to them.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

Availability: only available for the wxMSW port.

See also
  wxTaskBarJumpListCategory, wxTaskBarJumpListItem

Since
  3.1.0

## Public Member Functions
| wxTaskBarJumpList (const wxString &appID=wxEmptyString)
| Constructs the jump list.
virtual | ~wxTaskBarJumpList ()
void | ShowRecentCategory (bool shown=true)
| Shows or hides the recent category.
void | HideRecentCategory ()
| Hides the recent category.
void | ShowFrequentCategory (bool shown=true)
| Shows or hides the frequent category.
void | HideFrequentCategory ()
| Hides the frequent category.
wxTaskBarJumpListCategory & | GetTasks () const
| Accesses the built in tasks category.
const wxTaskBarJumpListCategory & | GetFrequentCategory () const
| Gets the built in frequent category.
const wxTaskBarJumpListCategory & | GetRecentCategory () const
| Gets the built in recent category.
const wxTaskBarJumpListCategories & | GetCustomCategories () const
| Gets the custom categories.
void | AddCustomCategory (wxTaskBarJumpListCategory *category)
| Add an new custom category.
wxTaskBarJumpListCategory * | RemoveCustomCategory (const wxString &title)
| Removes the custom category from the jump lists but doesn't delete the associated C++ object.
void | DeleteCustomCategory (const wxString &title)
| Deletes the custom category from the jump lists.

## Constructor & Destructor Documentation

## ◆ wxTaskBarJumpList()

wxTaskBarJumpList::wxTaskBarJumpList | ( | const wxString & | appID = wxEmptyString | ) |

Constructs the jump list.

Parameters

  appID | Specifies a unique identifier for the application jump list, can be empty by default.

See Application User Model IDs on MSDN for further details.

## ◆ ~wxTaskBarJumpList()

virtual wxTaskBarJumpList::~wxTaskBarJumpList | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ AddCustomCategory()

void wxTaskBarJumpList::AddCustomCategory | ( | wxTaskBarJumpListCategory * | category | ) |

Add an new custom category.

Parameters

  category | A wxTaskBarJumpListCategory object. It will be owned by the wxTaskBarJumpList object after this function is called, so do not delete it yourself.

## ◆ DeleteCustomCategory()

void wxTaskBarJumpList::DeleteCustomCategory | ( | const wxString & | title | ) |

Deletes the custom category from the jump lists.

Parameters

  title | The title of the custom category.

## ◆ GetCustomCategories()

const wxTaskBarJumpListCategories & wxTaskBarJumpList::GetCustomCategories | ( |  | ) | const

Gets the custom categories.

## ◆ GetFrequentCategory()

const wxTaskBarJumpListCategory & wxTaskBarJumpList::GetFrequentCategory | ( |  | ) | const

Gets the built in frequent category.

Note that the returned category is read-only.

## ◆ GetRecentCategory()

const wxTaskBarJumpListCategory & wxTaskBarJumpList::GetRecentCategory | ( |  | ) | const

Gets the built in recent category.

Note that the returned category is read-only.

## ◆ GetTasks()

wxTaskBarJumpListCategory & wxTaskBarJumpList::GetTasks | ( |  | ) | const

Accesses the built in tasks category.

With the returned tasks category, you can append an new task, remove an existing task, modify the task item etc.

## ◆ HideFrequentCategory()

void wxTaskBarJumpList::HideFrequentCategory | ( |  | ) |

Hides the frequent category.

Equivalent to calling wxTaskBarJumpList::ShowFrequentCategory(false).

## ◆ HideRecentCategory()

void wxTaskBarJumpList::HideRecentCategory | ( |  | ) |

Hides the recent category.

Equivalent to calling wxTaskBarJumpList::ShowFrequentCategory(false).

## ◆ RemoveCustomCategory()

wxTaskBarJumpListCategory * wxTaskBarJumpList::RemoveCustomCategory | ( | const wxString & | title | ) |

Removes the custom category from the jump lists but doesn't delete the associated C++ object.

Parameters

  title | The title of the custom category.

## ◆ ShowFrequentCategory()

void wxTaskBarJumpList::ShowFrequentCategory | ( | bool | shown = true | ) |

Shows or hides the frequent category.

## ◆ ShowRecentCategory()

void wxTaskBarJumpList::ShowRecentCategory | ( | bool | shown = true | ) |

Shows or hides the recent category.